CREATE TABLE test_category (
                               id    SERIAL PRIMARY KEY,
                               name  VARCHAR(100) NOT NULL,  -- "TOEIC", "IELTS Academic", "HSK 1"...
                               slug  VARCHAR(100) UNIQUE     -- "toeic", "ielts", "hsk-1"
);

ALTER TABLE test ADD COLUMN category_id INT REFERENCES test_category(id);